export interface Diagonstic {
    location: {
        offset: number;
        length: number;
    };
    message: string;
    code: keyof typeof errorCodeToErrorType;
    source?: string;
    expected?: string[];
}
declare const errorCodeToErrorType: {
    1: string;
    2: string;
    3: string;
    4: string;
};
export declare const jsonLinter: import("@codemirror/state").Extension;
export declare const lintCode: (schema: any, code: string) => Promise<LintError[]>;
export interface LintError {
    from: number;
    to: number;
    severity: "error" | "warning" | "info";
    source: string;
    message: string;
    expected?: string[];
}
export {};
