import { JSONSchema } from "../JSONSchemaTypes";
declare type SchemaDependencies = Set<string>;
export declare function resolveSchemaContent(schemaToResolve: JSONSchema, schemaURL: string, dependencies: SchemaDependencies): Promise<ResolvedSchema>;
export interface ISchemaHandle {
    /**
     * The schema id
     */
    uri: string;
    /**
     * The schema from the file, with potential $ref references
     */
    getUnresolvedSchema(): Promise<UnresolvedSchema>;
    /**
     * The schema from the file, with references resolved
     */
    getResolvedSchema(): Promise<ResolvedSchema>;
}
export declare class UnresolvedSchema {
    schema: JSONSchema;
    errors: string[];
    constructor(schema: JSONSchema, errors?: string[]);
}
export declare class ResolvedSchema {
    schema: JSONSchema;
    errors: string[];
    constructor(schema: JSONSchema, errors?: string[]);
    getSection(path: string[]): JSONSchema | undefined;
    private getSectionRecursive;
}
export {};
